Tecnologia e non solo

gennaio 18, 2008

Vlc e xorg-server 1.4.0.90-4/1.4.0.90.r1

Filed under: Archlinux,Gentoo,Varie — telperion @ 7:58 pm

Su archlinux
xorg-server 1.4.0.90-4
* Su archlinux corretto (con ritardo) da xorg-server-1.4.0.90-5

e su gentoo
xorg-server 1.4.0.90-r1
* Su gentoo corretto da xorg-server-1.4.0.90-r2

e su Debian sid

provocano il mancato funzionamento dell’interfaccia wxwindows
di vlc (cvlc da terminale funziona invece) sia versione 0.8.6d che 0.9alpha

vlc

Per risolvere su arch linux
recuperate se lo avete in /var/cache/pacman/pkg
xorg-server 1.4.0.90-3
e reinstallatelo.

* Su gentoo corretto da xorg-server-1.4.0.90-r2

Più complicato su gentoo dato che l’aggiornamento cancella
l’ebuild xorg-server-1.4.0.90.ebuild (troppa fretta a cancellare, l’ebuild precedente sarebbe bene lasciarlo)
ho dovuto recuperarlo da un backup ed inserirlo nel mio portage “privato”
per poi “emergerlo”

Fatto questo vlc riprende a fuzionare regolarmente.

--- /home/mc/Desktop/aa/xorg-server-1.4.0.90.ebuild 2007-12-17 00:36:40.000000000 +0100
+++ /home/mc/Desktop/aa/xorg-server-1.4.0.90-r1.ebuild 2008-01-17 21:52:28.000000000 +0100
@@ -1,6 +1,6 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-base/xorg-server/xorg-server-1.4.0.90.ebuild,v 1.2 2007/12/16 23:30:23 dberkholz Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-base/xorg-server/xorg-server-1.4.0.90-r1.ebuild,v 1.1 2008/01/17 20:52:28 dberkholz Exp $

# Must be before x-modular eclass is inherited
#SNAPSHOT="yes"
@@ -284,6 +284,12 @@
${FILESDIR}/1.4-fix-kdrive-automake.patch
${FILESDIR}/1.4-dont-hang-openoffice.patch
${FILESDIR}/${PV}-clean-generated-files.patch
+ ${FILESDIR}/1.4-0001-Fix-for-CVE-2007-5760-XFree86-Misc-extension-out-o.patch
+ ${FILESDIR}/1.4-0002-Fix-for-CVE-2007-6428-TOG-cup-extension-memory-cor.patch
+ ${FILESDIR}/1.4-0003-Fix-for-CVE-2007-6427-Xinput-extension-memory-corr.patch
+ ${FILESDIR}/1.4-0004-Fix-for-CVE-2007-6429-MIT-SHM-and-EVI-extensions-i.patch
+ ${FILESDIR}/1.4-0005-Fix-for-CVE-2008-0006-PCF-Font-parser-buffer-overf.patch
+ ${FILESDIR}/1.4-0006-Fix-for-CVE-2007-5958-File-existence-disclosure.patch
"

pkg_setup() {

Dal diff tra i 2 ebuild sembrerebbe che una delle 6 patch aggiunte crei il problema.

Bloccate i pacchetti in attesa di nuove versioni.

7 commenti

  1. […] Stesso errore anche su sid con il nuovo pacchetto xserver-xorg-core git200805-2 che dovrebbe colpire anche amule (che non uso). […]

    Pingback di e anche su Debian Sid « Tecnologia e non solo — gennaio 18, 2008 @ 8:27 pm

  2. […] ai problemi dell’ultimo xorg-server-core su quasi tutte le distribuzioni. Su Ubuntu corretto, su Gentoo corretto da xorg-server-1.4.0.90-r2, […]

    Pingback di Dai su pacciamolo … « Tecnologia e non solo — gennaio 19, 2008 @ 12:00 pm

  3. @telperion
    siccome su arch il problema non è stato ancora risolto, volevo chiederti come si fa a bloccare l’upgrade del pacchetto xorg-server?

    Commento di faq — gennaio 19, 2008 @ 10:12 pm

  4. @faq:
    edita /etc/pacman.conf

    prima del blocco
    #
    # REPOSITORIES

    aggiungi la riga
    IgnorePkg = xorg-server
    la sintassi è

    IgnorePkg = pacchetto pacchetto2 pacchetto3

    Commento di telperion — gennaio 20, 2008 @ 11:46 am

  5. @telperion
    dallo screenshot vedo che utilizzi la versione svn di vlc, ma su archlinux utilizzando il pkgbuild di aur da un bel pò non ne vuole sapere di compilarsi, tanto che, neanche il mantainer del pkgbuild è riuscito a capire il perché. L’errore è sempre questo:
    $ vlc
    /usr/bin/vlc: error: `/usr/bin/.libs/vlc’ does not exist
    This script is just a wrapper for vlc.
    See the libtool documentation for more information.
    Sapresti per caso indicarmi qual è l’ultimo svn che funzioni di vlc?
    Grazie.

    Commento di damir — gennaio 31, 2008 @ 10:50 pm

  6. @damir
    come leggi dallo screenshot il vlc snv è compilato su gentoo dove compilano funzionano regolarmente tutti gli snapshot che arrivano.

    Su archlinux stò usando la 0.8.6d
    ricompilalta le patch di ffmpeg e vlc come descritto qui
    https://telperion.wordpress.com/2008/01/22/pasticcini-e-pasticcioni/
    altrimenti non si aprono i video DIVX e XVID.

    Commento di telperion — gennaio 31, 2008 @ 11:13 pm

  7. @telperion
    ah si scusa non me ne ero accorto che era su gentoo (si vede la stanchezza no?).
    Grazie per la dritta.

    Commento di damir — gennaio 31, 2008 @ 11:24 pm


RSS feed for comments on this post.

Crea un sito o un blog gratuitamente presso WordPress.com.

%d blogger cliccano Mi Piace per questo: